# umax_pp breaks compilation

From: Marian Eichholz (marian.eichholz@freenet-ag.de)
Date: Tue Jun 12 2001 - 01:41:39 PDT

- Next message: Tim Waugh: "Re: umax_pp breaks compilation"
  - Previous message: Paul Floyd: "Re: Compiling on OS/2"
  - In reply to: Tim Waugh: "another umax_pp nit-pick"
  - Next in thread: Tim Waugh: "Re: umax_pp breaks compilation"
  - Reply: Tim Waugh: "Re: umax_pp breaks compilation"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  Hi Tim, Hi Henning, Hi Oliver, Hi*

  > The recent PPGETMODES change breaks compilation on older kernels,
  > since the ioctl was only introduced quite recently.
  >
  > Since kernel headers shouldn't be directly referenced by user-space
  > applications, umax_pp should use its own copy of ppdev.h, to prevent
  > things like this from happening. (Alternatively, it could use #ifdef,
  > but really it should include ppdev.h on its own.)

  Do You mention 2.4.4 to be an "older kernel"? :-)

  After disabling the umax-targets the tools work fine for our new sm3600
  backend.
  xsane 0.78 looks well, too!
  "Thank You for the music"

  With my 2.4.4 the backend compilation breaks, too (glibc 2.2.1, kernel
  2.4.4, base SuSE 7.0i386):

  cd .libs && rm -f libsane-umax.la && ln -s ../libsane-umax.la
  libsane-umax.la)
  gcc -c -g -O2 -W -Wall -Wcast-align -Wcast-qual -Wmissing-declarations
  -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wstrict-prototypes
  -pedantic -ansi -DHAVE_CONFIG_H -I. -I. -I../include -I../include
  -D_GNU_SOURCE -DPATH_SANE_CONFIG_DIR=/etc/sane.d
  -DPATH_SANE_DATA_DIR=/usr/share -DV_MAJOR=1 -DV_MINOR=0
  -DBACKEND_NAME=umax_pp_low -DLIBDIR=/usr/lib/sane umax_pp_low.c -fPIC
  -DPIC -o umax_pp_low.lo
  umax_pp_low.c: In function `sanei_umax_pp_InitPort':
  umax_pp_low.c:556: `PPGETMODES' undeclared (first use in this function)
  umax_pp_low.c:556: (Each undeclared identifier is reported only once
  umax_pp_low.c:556: for each function it appears in.)
  umax_pp_low.c: At top level:
  umax_pp_low.c:7592: warning: no previous prototype for
  `sanei_umax_pp_gamma'
  make[1]: *** [umax_pp_low.lo] Error 1
  make[1]: Leaving directory
  `/packin/sane-backends-CVS-2001-06-10/backend'
  make: *** [all-recursive] Error 1
  marian@scully:/packin/sane-backends-CVS-2001-06-10 >

      --
      Mit freundlichen Gruessen / Yours sincerely
      Marian Eichholz
      Postmaster
      freenet.de AG          Vorsitzender des Aufsichtsrates: Gerhard Schmid
      Deelbögenkamp 4c       Vorstand: Eckhard Spoerr (Vors.), Axel Krieger
      22297 Hamburg          Amtsgericht Hamburg, HRB 74048
      --
      Source code, list archive, and docs: http://www.mostang.com/sane/
      To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

  - Next message: Tim Waugh: "Re: umax_pp breaks compilation"
  - Previous message: Paul Floyd: "Re: Compiling on OS/2"
  - In reply to: Tim Waugh: "another umax_pp nit-pick"
  - Next in thread: Tim Waugh: "Re: umax_pp breaks compilation"
  - Reply: Tim Waugh: "Re: umax_pp breaks compilation"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  This archive was generated by hypermail 2b29 : Tue Jun 12 2001 - 01:34:50 PDT